Change seller billing plan

Credentials

No credentials are documented for this endpoint.

Update a seller's billing plan. Requires seller email, ID number, partner name, plan GUID, and seller status.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
accountEmail string yes Seller email address
idNumber integer yes Seller Israeli ID number
partnerName string yes Partner name
planGUID string yes Plan GUID to switch to
sellerStatus string yes Seller status

Request example

{
  "accountEmail": "seller@example.com",
  "idNumber": 123456789,
  "partnerName": "PayMe",
  "planGUID": "plan-guid-12345",
  "sellerStatus": "active"
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/sellers/change-plan' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "accountEmail": "seller@example.com",
  "idNumber": 123456789,
  "partnerName": "PayMe",
  "planGUID": "plan-guid-12345",
  "sellerStatus": "active"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/sellers/change-plan", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "accountEmail": "seller@example.com",
    "idNumber": 123456789,
    "partnerName": "PayMe",
    "planGUID": "plan-guid-12345",
    "sellerStatus": "active"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/sellers/change-plan",
    json={
        "accountEmail": "seller@example.com",
        "idNumber": 123456789,
        "partnerName": "PayMe",
        "planGUID": "plan-guid-12345",
        "sellerStatus": "active",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "accountEmail": "seller@example.com",
  "idNumber": 123456789,
  "partnerName": "PayMe",
  "planGUID": "plan-guid-12345",
  "sellerStatus": "active"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/sellers/change-plan');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — Plan changed successfully (success)

400 — Bad Request - Validation failed (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}